You are not logged in.

#1 2023-11-29 18:06:50

neyb
Member
Registered: 2019-06-21
Posts: 6

regression on linux-firmware for intel AX211 bluetooth

My bluetooth keyboard had a lot of problems since few weeks... So I start investigating.

This comment https://github.com/zmkfirmware/zmk/issu … 1826881609 and finally this post https://community.intel.com/t5/Wireless … 182#M50019 lead me to try to downgrade the linux-firmware from 20231110.74158e7a-1 to 20231110.74158e7a-1...

And then it works fine.

Maybe an issue should be open on https://gitlab.archlinux.org/archlinux/ … e/-/issues ? Maybe it's more related to https://gitlab.archlinux.org/archlinux/ … -/issues/1... having to downgrade everything just for bluetooth make me a bit sad...

Last edited by neyb (2023-11-29 18:13:46)

Offline

#2 2023-12-01 18:34:11

neyb
Member
Registered: 2019-06-21
Posts: 6

Re: regression on linux-firmware for intel AX211 bluetooth

After investigating... it seems the version of the firmware (intel/ibt-0040-0041.sfi) has been downgraded with the new linux-firmware...

- linux-firmware-20231030 => version of intel/ibt-0040-0041.sfi is 106-23.23 (works fine)
- linux-firmware-20231110 => version of intel/ibt-0040-0041.sfi is 64-35.23 (bugged)

Is this normal ???

Last edited by neyb (2023-12-01 18:35:14)

Offline

#3 2023-12-02 20:19:03

jeisom
Member
Registered: 2011-11-19
Posts: 3

Re: regression on linux-firmware for intel AX211 bluetooth

I am also seeing issues with the firmware on  my ax200. 

BAD :  iwlwifi-cc-a0-77.ucode
WORKS: iwlwifi-cc-a0-74.ucode

I wouldn't say this is normal.

Offline

#4 2023-12-02 20:43:56

neyb
Member
Registered: 2019-06-21
Posts: 6

Re: regression on linux-firmware for intel AX211 bluetooth

The bt regression seems to be related to the PHY M2 usage...

Last edited by neyb (2023-12-02 20:47:58)

Offline

#5 2023-12-12 07:52:09

neyb
Member
Registered: 2019-06-21
Posts: 6

Re: regression on linux-firmware for intel AX211 bluetooth

Still not resolved in 20231211 update https://archive.archlinux.org/packages/ … kg.tar.zst , last version with PHY 2Mworking is https://archive.archlinux.org/packages/ … kg.tar.zst

Anyone knows how to report this issue so it can be adressed ?

Last edited by neyb (2023-12-13 18:34:06)

Offline

Board footer

Powered by FluxBB